#include <IRremote.h> // add the library for the IR receiver
#include <Servo.h> // add the library for the Servo motor

const int RECV_PIN = 10;
IRrecv irrecv(RECV_PIN);
decode_results results; // lines 4-6 setup the IR receiver
const int LED = 9;
const int buzzerPin = 6;
Servo myservo; // name the servo
int pos = 0; // variable that stores the servo position

void setup(){
  irrecv.enableIRIn(); // IR receiver setup
  pinMode(LED, OUTPUT); 
  pinMode(buzzerPin, OUTPUT); 
  myservo.attach(11); // the pin where your servo is attached
}

void loop(){
  if (irrecv.decode(&results)){
  switch(results.value){ // 20-21 IR receiver setup
    case 0x20DF8679: // this is where you put the code for the remote button
      digitalWrite(LED, HIGH); 
      digitalWrite(buzzerPin, HIGH);
      delay(20);
      digitalWrite(buzzerPin, LOW); // lines 24-26 give a short note before the servo moves
      for(pos = 0; pos <=180; pos +=1){
        myservo.write(pos);
        delay(10);
      }
      for(pos = 180; pos>=0; pos-=1)
      {
        myservo.write(pos);
        delay(10);
      } // lines 27-35 control the servo movement
      delay(2000);
      digitalWrite(LED, LOW);
      }
    irrecv.resume(); 
    }
}
